Bug 1011735 - Templates do not incorporate user defined properties
Templates do not incorporate user defined properties
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.5.0
Assigned To: Omer Frenkel
Pavel Novotny
virt
:
Depends On:
Blocks: 1166632 1169842 1169846
  Show dependency treegraph
 
Reported: 2013-09-24 22:26 EDT by David Gibson
Modified: 2015-02-17 03:30 EST (History)
11 users (show)

See Also:
Fixed In Version: vt13.1
Doc Type: Bug Fix
Doc Text:
Templates didn't persist user defined properties. When a VM was deployed from a template with some specific user defined properties they were skipped and missing in the VM. Now it works!:)
Story Points: ---
Clone Of:
: 1166632 1169842 1169846 (view as bug list)
Environment:
Last Closed: 2015-02-17 03:30:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sherold: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 35117 master MERGED core: add custom properties to templates Never
oVirt gerrit 35118 master MERGED restapi: add custom properties to templates Never
oVirt gerrit 35119 master MERGED frontend: support custom properties for templates Never

  None (edit)
Description David Gibson 2013-09-24 22:26:34 EDT
Description of problem:

Templates defined in RHEV-M do not include user defined properties.

Version-Release number of selected component (if applicable):

RHEV 3.2

How reproducible:

100%, RFE

Steps to Reproduce:
1. Create a VM
2. Set some custom / user defined properties on the VM (e.g. for controlling vdsm hook behaviour)
3. Make a template from the VM
4. Make a new VM from the template

Actual results:

The VM created from the template does not have the custom properties of the original VM.

Expected results:

Final VM has the same custom properties as the original VM.
Comment 2 Omer Frenkel 2014-10-30 11:47:46 EDT
didn't make it to 3.5.0
change is bigger then expected
pushing to 3.5.1
Comment 4 Michal Skrivanek 2014-12-02 09:27:04 EST
made it on time for 3.5 GA after all
Comment 5 Pavel Novotny 2014-12-08 06:55:38 EST
Verified in rhevm-3.5.0-0.23.beta.el6ev.noarch (vt13.1).

Verified by following the reproducer:
1. Create a VM
2. Set some custom / user defined properties on the VM (e.g. for controlling vdsm hook behaviour)
3. Make a template from the VM
4. Make a new VM from the template

Result:
New VM from template has inherited all Custom Properties from the template.
Comment 6 Julie 2014-12-08 21:02:40 EST
This bug has missed the release notes cut-off date and is excluded from the release notes. 

Cheers,
Julie
Comment 7 Omer Frenkel 2015-02-17 03:30:24 EST
RHEV-M 3.5.0 has been released

Note You need to log in before you can comment on or make changes to this bug.